ampdb
Prev | Orchestra Opcodes and Operators | Next

## ampdb

ampdb — Returns the amplitude equivalent of the decibel value x.

## Description

Returns the amplitude equivalent of the decibel value x. Thus:

- 60 dB = 1000

- 66 dB = 1995.262

- 72 dB = 3891.07

- 78 dB = 7943.279

- 84 dB = 15848.926

- 90 dB = 31622.764

## Syntax

    ampdb(x)  (no rate restriction)

## Examples

Here is an example of the ampdb opcode. It uses the file ampdb.csd.

Example 39. Example of the ampdb opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o ampdb.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      idb = 90
      iamp = ampdb(idb)

      print iamp
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  iamp = 31622.764

## See Also

ampdbfs, db, dbamp, dbfsamp

## Credits

Example written by Kevin Conder.

Prev | Up | Next
alpass | Home | ampdbfs